<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.gyee.frame.mapper.ticket.OpticketMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="BaseResultMap" type="com.gyee.frame.model.ticket.Opticket">
        <id column="ID" property="id" />
        <result column="TKNUM" property="tknum" />
        <result column="DESCRIPTION" property="description" />
        <result column="LOCATION" property="location" />
        <result column="EQNUM" property="eqnum" />
        <result column="OPLABOR" property="oplabor" />
        <result column="CHECKBY" property="checkby" />
        <result column="PERMITTER" property="permitter" />
        <result column="ENTERBY" property="enterby" />
        <result column="STARTDATE" property="startdate" />
        <result column="ENDDATE" property="enddate" />
        <result column="ISSTD" property="isstd" />
        <result column="STDTICKET" property="stdticket" />
        <result column="TICKTYPE" property="ticktype" />
        <result column="CREWID" property="crewid" />
        <result column="SHIFTNUM" property="shiftnum" />
        <result column="REMARK" property="remark" />
        <result column="OUTDATE" property="outdate" />
        <result column="OPERTYPE" property="opertype" />
        <result column="PRINUSER" property="prinuser" />
        <result column="TURNNUM" property="turnnum" />
        <result column="LEADER" property="leader" />
        <result column="DISPATCHNUM" property="dispatchnum" />
        <result column="DISNUMDESCRIP" property="disnumdescrip" />
        <result column="STATUS" property="status" />
        <result column="STATUSDATE" property="statusdate" />
        <result column="TICKETSTATUS" property="ticketstatus" />
        <result column="CHECKSTATE" property="checkstate" />
        <result column="CHECKDATE" property="checkdate" />
        <result column="CHECKPERSON" property="checkperson" />
        <result column="CHECKQUESTION" property="checkquestion" />
        <result column="SITENUM" property="sitenum" />
        <result column="CORPNUM" property="corpnum" />
        <result column="OPLABORNAME" property="oplaborname" />
        <result column="CHECKBYNAME" property="checkbyname" />
        <result column="PERMITTERNAME" property="permittername" />
        <result column="ENTERBYNAME" property="enterbyname" />
        <result column="CHECKPERSONNAME" property="checkpersonname" />
        <result column="OTNUM" property="otnum" />
    </resultMap>

    <!-- 通用查询结果列 -->
    <sql id="Base_Column_List">
        ID, TKNUM, DESCRIPTION, LOCATION, EQNUM, OPLABOR, CHECKBY, PERMITTER, ENTERBY, STARTDATE, ENDDATE, ISSTD, STDTICKET, TICKTYPE, CREWID, SHIFTNUM, REMARK, OUTDATE, OPERTYPE, PRINUSER, TURNNUM, LEADER, DISPATCHNUM, DISNUMDESCRIP, STATUS, STATUSDATE, TICKETSTATUS, CHECKSTATE, CHECKDATE, CHECKPERSON, CHECKQUESTION, SITENUM, CORPNUM, OPLABORNAME, CHECKBYNAME, PERMITTERNAME, ENTERBYNAME, CHECKPERSONNAME, OTNUM
    </sql>

</mapper>
